<template>
  <div class="content" v-if="this.ranking">
      <br>
      <br>
      <b-card>
        <template v-slot:header>
          <h5><b-icon icon="award"/> Ranking</h5>
        </template>
        <p>Aqui encontra-se a lista dos mais bravos marinheiros. </p>
        <br>
        <b-table
          v-if="ranking"
          :fields="fields"
          :items="ranking"
          :sort-by.sync="sortBy"
          :sort-desc.sync="sortDesc"
          :per-page="perPage"
          :current-page="currentPage"
          sort-icon-left
          responsive="sm"
          striped
          bordered
          hover
        >
          <template v-slot:cell(index)="data">
            {{ 0 }}
          </template>
        </b-table >
        <div v-if="numOfPages > 1">
          <p v-if="ranking">Página {{currentPage}} de {{ numOfPages }} </p>
          <div class="d-flex justify-content-center">
            <b-pagination
              v-if="ranking"
              v-model="currentPage"
              :total-rows="numOfRankings"
              :per-page="perPage"
            ></b-pagination>
          </div>
        </div>

      </b-card>
      <br>
      <br>
      

  </div>
</template>
<style>


</style>
<script>
// @ is an alias to /src
//import HelloWorld from '@/components/HelloWorld.vue'

import UserService from '@/services/User'

export default {
  name: 'ranking',
  components: {
   
  },
  methods : {

  },
  async mounted() {

    this.ranking = await UserService.getRanking();

  },
  data() {
    return {
      sortBy : 'victorys',
      sortDesc : true,
      fields : [
        {key: 'position',label: 'Posição', sortable:true},
        {key:'username', label: 'Jogador', sortable: true},
        {key:'victorys', label: 'Vitórias', sortable: true},
      ],
      currentPage: 1,
      perPage: 10,
      ranking: null
    }
  },
  computed: {
    numOfRankings() {
      return this.ranking.length;
    },
    numOfPages() {
      return Math.ceil(this.numOfRankings / this.perPage);
    }
  }
}
</script>
